PETSc version 3.15.5
Fix/Edit manual page

# SNESFASGetRestriction

Gets the matrix used to calculate the restriction from l to the l-1th level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetRestriction(SNES snes, PetscInt level, Mat *mat)

### Input Parameters

| snes | - the multigrid context
| level | - the level (0 is coarsest) to supply [do not supply 0]

### Output Parameters

| mat | - the interpolation operator

### See Also

SNESFASSetRestriction(), SNESFASGetInjection(), SNESFASGetInterpolation(), SNESFASGetRScale()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages